
QGIS Application - Bug report #6709

Creating a shapefile fails silently when you don't have permissions (should have an error message, 

consistent with other actions)

2012-11-15 08:31 PM - Alister Hood

Status: Closed

Priority: Low

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 15874

Description

- Right click on a vector layer and choose "save as".  Try to save it somewhere you don't have permissions (often C:/ on Windows).  You

will get an error message saying to contact the administrator to get permissions.

- Click "Layer>New>New Shapefile layer" and try to save it to the same place.  The file will not be saved, but there will be no error

message.  (and anyway, is there a reason why the QT save dialog is used in this case instead of the native Windows dialog?  I think it

might be needed to provide that encoding option, but I can't remember for sure).

Only tested on Windows.

Associated revisions

Revision 71c15f06 - 2014-06-21 09:53 PM - Jürgen Fischer

show failure to create a new shapefile on message bar and point to message log (fixes #6709)

History

#1 - 2012-11-16 12:37 AM - Alister Hood

Also tested in 1.8

#2 - 2014-06-21 12:54 PM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"71c15f0639b2e9356b23fc9e7d113c01f10787da".

#3 - 2014-06-21 12:54 PM - Jürgen Fischer

- Category set to GUI
